import { BusContext, BusMessage, BusSubscriber } from '../../../../foundation/service/api-bus/busManager';
export declare class DataBusSubscriber extends BusSubscriber {
    private instanceId;
    constructor(instanceId: string);
    actionNames(): string[];
    protected getGlobalData(context: BusContext, message: BusMessage): void;
    protected setGlobalData(context: BusContext, message: BusMessage): void;
    protected clearGlobalData(context: BusContext, message: BusMessage): void;
    onMessage(context: BusContext, message: BusMessage): void;
}
